Dms Parsers
Alle Operationen rund um Dms Parsers.
Datenmodell
Die Endpoints dieses Moduls arbeiten auf folgender Entität. Die Schema-Referenz listet jedes Feld mit Typ, Validierung und Beziehungen:
| Entität | Schema-ID | Felder | Sequenz | Permissions |
|---|---|---|---|---|
| DMS Parser | dms_parser |
15 | — | dms_parser_* |
Endpoints
| Methode | Pfad | Operation | Beschreibung |
|---|---|---|---|
POST |
/v1/dms_parsers |
Create dms_parser | Create a new dms_parser in the active tenant. |
DELETE |
/v1/dms_parsers/{id} |
Delete dms_parser | Soft delete entity. |
GET |
/v1/dms_parsers/{id} |
Get dms_parser by id | Fetch a single dms_parser. |
GET |
/v1/dms_parsers/{id}/linked |
Get linked entities | CodeMeta OS API endpoint. |
GET |
/v1/dms_parsers/{id}/timeline |
Get timeline | CodeMeta OS API endpoint. |
GET |
/v1/dms_parsers/{id}/transitions |
List transitions | CodeMeta OS API endpoint. |
GET |
/v1/dms_parsers |
List dms_parsers | List dms_parsers for the active tenant. |
PATCH |
/v1/dms_parsers/{id} |
Patch dms_parser | JSON Merge Patch update. |
POST |
/v1/dms_parsers/bulk |
Bulk operation | CodeMeta OS API endpoint. |
POST |
/v1/dms_parsers/{id}/transition |
POST /v1/dms_parsers/{id}/transition | CodeMeta OS API endpoint. |
POST |
/v1/dms_parsers/{id}/transitions/{transitionKey} |
Execute transition | CodeMeta OS API endpoint. |
PUT |
/v1/dms_parsers/{id} |
Replace dms_parser | Full replace with optimistic locking. |